<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Аптека'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
err();


$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){

$action=htmlspecialchars(trim($_GET['action']));



switch ($action){
default:
echo'<img src="img/bk.png" alt="+"> Деньги: <font color="red">'.$user['gorod_money'].'$</font><br/>';
echo'<img src="img/inf.png" alt="+"> Опыт: <font color="red">'.$user['gorod_opit'].'</font><br/>';
echo'<img src="img/zd.png" alt="+"> Здоровье: <font color="red">'.$user['gorod_life'].'%</font><div class="menu_razd">В продаже</div>';


$x=mysql_query("SELECT count(*) FROM `gorod_invent` WHERE `uid`='".$user['id']."'");
$x=mysql_fetch_array($x);
if($user['gorod_money']<10){echo '<b>У вас слишком мало денег, чтобы что-то купить.</b>';
}else{


$k_post=mysql_result(mysql_query("SELECT count(*) FROM `gorod_bazar`"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){echo 'Сейчас нет лекарств!';break;};

$q=mysql_query("SELECT * FROM `gorod_bazar` ORDER BY `price` ASC LIMIT $start, $onpage");


while($row=mysql_fetch_assoc($q)){
echo'<img src="img/inf.png" alt="+">  <font color="red">'.$row['name'].'</font><br/>
<img src="img/inf.png" alt="+"> Цена: <font color="red">'.$row['price'].'$</font><br/>
<img src="img/inf.png" alt="+"> Здopoвьe: <font color="red">+'.$row['life'].'%</font><br/>';
echo'<img src="img/ok.png" alt="+"> <a href="life.php?action=pokupka&amp;pr='.$row['id'].'">Купить</a><br/>';
};


if ($k_page>1)str('?',$k_page,$page); // Вывод страниц
}
break;


case 'prod':
$x=mysql_query("SELECT * FROM `gorod_invent` WHERE `uid`='".$user['id']."'");

if(!mysql_num_rows($x)){echo 'У вас нет товаров для продажи!';}else{

while($row=mysql_fetch_assoc($x)){

echo '<img src="img/inf.png" alt="+">  '.$row['name'].'<br/>
<img src="img/inf.png" alt="+"> цена: '.round($row['price']/2).'$<br/>
<img src="img/ok.png" alt="+"> <a href="life.php?action=sell&amp;id='.$row['id'].'">продать</a><br/>';

};

};
break;

case 'sell':
$id=(int)$_GET['id'];
if(!$id){echo 'Пустые параметры!';break;};

$x=mysql_query("SELECT * FROM `gorod_invent` WHERE `id`='$id' AND `uid`='".$user['id']."'");
if(!mysql_num_rows($x)){echo 'Предмета не существует или он не ваш!';break;};
$row=mysql_fetch_assoc($x);
$price=round($row['price']/2);
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`+'$price' WHERE `id`='".$user['id']."'");
mysql_query("DELETE FROM `gorod_invent` WHERE `id`='$id' LIMIT 1");
echo 'Товар Продан!<br/>';
echo '<img src="img/ico.png" alt="+"> <a href="life.php?action=prod">Продать ещё?</a>';
break;


case 'pokupka':
$pr=(int)$_GET['pr'];
$x=mysql_query("SELECT * FROM `gorod_bazar` WHERE `id`='$pr'");

if(!mysql_num_rows($x)){echo 'Товара не существует!';}else{
$tovar=mysql_fetch_assoc($x);

if($user['gorod_money']<=$tovar['price']){
echo'Нет у тебя столько денег! Купи чё-нить подешевле или проваливай.<br/>';}else{

mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-'".$tovar['price']."' WHERE `id`='".$user['id']."'");
mysql_query("UPDATE `user` SET `gorod_opit`=`gorod_opit`+'10' WHERE `id`='".$user['id']."'");
mysql_query("INSERT INTO `gorod_invent` (`uid`,`name`,`life`,`type`,`price`)VALUES('".$user['id']."','".$tovar['name']."','".$tovar['life']."','eda','".$tovar['price']."')");

echo'<img src="img/inf.png" alt="+"> Опыт: <b><font color="red">+10</font></b><br/>';

echo'<img src="img/inf.png" alt="+"> Покупка прошла успешно,Использовать сейчас? <a href="life.php?action=eda&amp;id='.mysql_insert_id().'">Да</a><br/>';}}
break;

case 'eda':
$id=(int)$_GET['id'];

if(!$id){echo 'Пустые параметры!';}else{
$x=mysql_query("SELECT * FROM `gorod_invent` WHERE `id`='$id' AND `uid`='".$user['id']."'");

if(!mysql_num_rows($x)){echo 'Такого предмета не существует!';}else{
$item=mysql_fetch_assoc($x);

if($item['type']!='eda'){echo 'Этот предмет нельзя использовать!';}else{
$new=$user['gorod_life']+$item['life'];
$new=($new>100) ? 100 : $new;
mysql_query("UPDATE `user` SET `gorod_life`='$new' WHERE `id`='".$user['id']."'");
mysql_query("DELETE FROM `gorod_invent` WHERE `id`='$id' AND `uid`='".$user['id']."' LIMIT 1");

echo'Всё прошло удачно!<br/><img src="img/ico.png" alt="+"> <a href="life.php">Купить еще?</a><br/>';
};
};
};
break;



};
echo '<div class="foot"><a href="index.php">В меню игры</a></div>';
}else{
echo '<div class="msg">Город закрыт администратором!</div>';
};

}else{
echo '<div class="msg">Город доступен только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>